commit: 48e6fef1b515d8b893bee3e02b120491cbae77b3
Author: Cédric Krier <cedk <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 25 08:27:39 2020 +0000
Commit: Cédric Krier <cedk <AT> gentoo <DOT> org>
CommitDate: Sat Apr 25 08:45:01 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48e6fef1
dev-python/python-stdnum: Version bumps
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Cédric Krier <cedk <AT> gentoo.org>
dev-python/python-stdnum/Manifest | 1 +
dev-python/python-stdnum/python-stdnum-1.13.ebuild | 28 ++++++++++++++++++++++
2 files changed, 29 insertions(+)
diff --git a/dev-python/python-stdnum/Manifest
b/dev-python/python-stdnum/Manifest
index 80e9508daef..dc8ed244783 100644
--- a/dev-python/python-stdnum/Manifest
+++ b/dev-python/python-stdnum/Manifest
@@ -1 +1,2 @@
DIST python-stdnum-1.12.tar.gz 882778 BLAKE2B
49b0b83b8a76cf8963b35729b8acb1bb7f6cc8071cfee5490ba8f60fb2b74df28e11e65d9dafe6c717d297382628fe924ab5e193d8a39597cc214b98f12fa5dd
SHA512
7eefc997494f538cddda8a6ca60d60c52e35f53023edd69b540c3f1aded00d795741ef429f84be6637e737e031b0ca771d4c1a060c94c90d7aa4144cdb0a536f
+DIST python-stdnum-1.13.tar.gz 893897 BLAKE2B
e901a0b56d8ca4bcc25eade617af80bffce8f4b49a94dadefa7cf252edf567d01267256d3eaee77f01e41a99c0ffb26c80de1092f6437efdea2f115a9e997c80
SHA512
91bc476c0fec49627b772c43f031bcdfea044385256817d76a2fcff3aa76f26e85d308aab5262a682d54f67a1851907074b21d260e687f81c733326c40a0e0cf
diff --git a/dev-python/python-stdnum/python-stdnum-1.13.ebuild
b/dev-python/python-stdnum/python-stdnum-1.13.ebuild
new file mode 100644
index 00000000000..b5adb936c63
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-1.13.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="https://arthurdejong.org/python-stdnum/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="vies test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="vies? ( || ( dev-python/zeep dev-python/suds ) )"
+DEPEND="${DEPEND}
+ dev-python/setuptools
+ test? ( dev-python/nose )"
+
+DOCS=( ChangeLog NEWS README )
+
+python_test() {
+ nosetests -v || die
+}